Index: XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran_attr/iscalar_attr.F90	(revision 891)
@@ -0,0 +1,259 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iscalar_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iscalar
+  USE scalar_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_scalar_attr)  &
+    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar))  :: scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value
+
+      CALL xios(get_scalar_handle)(scalar_id,scalar_hdl)
+      CALL xios(set_scalar_attr_hdl_)   &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(set_scalar_attr)
+
+  SUBROUTINE xios(set_scalar_attr_hdl)  &
+    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value
+
+      CALL xios(set_scalar_attr_hdl_)  &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(set_scalar_attr_hdl)
+
+  SUBROUTINE xios(set_scalar_attr_hdl_)   &
+    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value_
+
+      IF (PRESENT(long_name_)) THEN
+        CALL cxios_set_scalar_long_name(scalar_hdl%daddr, long_name_, len(long_name_))
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        CALL cxios_set_scalar_name(scalar_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        CALL cxios_set_scalar_scalar_ref(scalar_hdl%daddr, scalar_ref_, len(scalar_ref_))
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        CALL cxios_set_scalar_standard_name(scalar_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        CALL cxios_set_scalar_unit(scalar_hdl%daddr, unit_, len(unit_))
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        CALL cxios_set_scalar_value(scalar_hdl%daddr, value_)
+      ENDIF
+
+  END SUBROUTINE xios(set_scalar_attr_hdl_)
+
+  SUBROUTINE xios(get_scalar_attr)  &
+    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar))  :: scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value
+
+      CALL xios(get_scalar_handle)(scalar_id,scalar_hdl)
+      CALL xios(get_scalar_attr_hdl_)   &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(get_scalar_attr)
+
+  SUBROUTINE xios(get_scalar_attr_hdl)  &
+    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value
+
+      CALL xios(get_scalar_attr_hdl_)  &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(get_scalar_attr_hdl)
+
+  SUBROUTINE xios(get_scalar_attr_hdl_)   &
+    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value_
+
+      IF (PRESENT(long_name_)) THEN
+        CALL cxios_get_scalar_long_name(scalar_hdl%daddr, long_name_, len(long_name_))
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        CALL cxios_get_scalar_name(scalar_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        CALL cxios_get_scalar_scalar_ref(scalar_hdl%daddr, scalar_ref_, len(scalar_ref_))
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        CALL cxios_get_scalar_standard_name(scalar_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        CALL cxios_get_scalar_unit(scalar_hdl%daddr, unit_, len(unit_))
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        CALL cxios_get_scalar_value(scalar_hdl%daddr, value_)
+      ENDIF
+
+  END SUBROUTINE xios(get_scalar_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_scalar_attr)  &
+    ( scalar_id, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar))  :: scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
+      LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+
+      CALL xios(get_scalar_handle)(scalar_id,scalar_hdl)
+      CALL xios(is_defined_scalar_attr_hdl_)   &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(is_defined_scalar_attr)
+
+  SUBROUTINE xios(is_defined_scalar_attr_hdl)  &
+    ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
+      LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+
+      CALL xios(is_defined_scalar_attr_hdl_)  &
+      ( scalar_hdl, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(is_defined_scalar_attr_hdl)
+
+  SUBROUTINE xios(is_defined_scalar_attr_hdl_)   &
+    ( scalar_hdl, long_name_, name_, scalar_ref_, standard_name_, unit_, value_ )
+
+    IMPLICIT NONE
+      TYPE(txios(scalar)) , INTENT(IN) :: scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
+      LOGICAL(KIND=C_BOOL) :: long_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref_
+      LOGICAL(KIND=C_BOOL) :: scalar_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
+      LOGICAL(KIND=C_BOOL) :: unit__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value_
+      LOGICAL(KIND=C_BOOL) :: value__tmp
+
+      IF (PRESENT(long_name_)) THEN
+        long_name__tmp = cxios_is_defined_scalar_long_name(scalar_hdl%daddr)
+        long_name_ = long_name__tmp
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        name__tmp = cxios_is_defined_scalar_name(scalar_hdl%daddr)
+        name_ = name__tmp
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        scalar_ref__tmp = cxios_is_defined_scalar_scalar_ref(scalar_hdl%daddr)
+        scalar_ref_ = scalar_ref__tmp
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        standard_name__tmp = cxios_is_defined_scalar_standard_name(scalar_hdl%daddr)
+        standard_name_ = standard_name__tmp
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        unit__tmp = cxios_is_defined_scalar_unit(scalar_hdl%daddr)
+        unit_ = unit__tmp
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        value__tmp = cxios_is_defined_scalar_value(scalar_hdl%daddr)
+        value_ = value__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_scalar_attr_hdl_)
+
+END MODULE iscalar_attr
Index: XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 891)
@@ -0,0 +1,287 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iscalargroup_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iscalar
+  USE scalargroup_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_scalargroup_attr)  &
+    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup))  :: scalargroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value
+
+      CALL xios(get_scalargroup_handle)(scalargroup_id,scalargroup_hdl)
+      CALL xios(set_scalargroup_attr_hdl_)   &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(set_scalargroup_attr)
+
+  SUBROUTINE xios(set_scalargroup_attr_hdl)  &
+    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value
+
+      CALL xios(set_scalargroup_attr_hdl_)  &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(set_scalargroup_attr_hdl)
+
+  SUBROUTINE xios(set_scalargroup_attr_hdl_)   &
+    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
+     )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: scalar_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value_
+
+      IF (PRESENT(group_ref_)) THEN
+        CALL cxios_set_scalargroup_group_ref(scalargroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+
+      IF (PRESENT(long_name_)) THEN
+        CALL cxios_set_scalargroup_long_name(scalargroup_hdl%daddr, long_name_, len(long_name_))
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        CALL cxios_set_scalargroup_name(scalargroup_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        CALL cxios_set_scalargroup_scalar_ref(scalargroup_hdl%daddr, scalar_ref_, len(scalar_ref_))
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        CALL cxios_set_scalargroup_standard_name(scalargroup_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        CALL cxios_set_scalargroup_unit(scalargroup_hdl%daddr, unit_, len(unit_))
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        CALL cxios_set_scalargroup_value(scalargroup_hdl%daddr, value_)
+      ENDIF
+
+  END SUBROUTINE xios(set_scalargroup_attr_hdl_)
+
+  SUBROUTINE xios(get_scalargroup_attr)  &
+    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup))  :: scalargroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value
+
+      CALL xios(get_scalargroup_handle)(scalargroup_id,scalargroup_hdl)
+      CALL xios(get_scalargroup_attr_hdl_)   &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(get_scalargroup_attr)
+
+  SUBROUTINE xios(get_scalargroup_attr_hdl)  &
+    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value
+
+      CALL xios(get_scalargroup_attr_hdl_)  &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(get_scalargroup_attr_hdl)
+
+  SUBROUTINE xios(get_scalargroup_attr_hdl_)   &
+    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
+     )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: scalar_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value_
+
+      IF (PRESENT(group_ref_)) THEN
+        CALL cxios_get_scalargroup_group_ref(scalargroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+
+      IF (PRESENT(long_name_)) THEN
+        CALL cxios_get_scalargroup_long_name(scalargroup_hdl%daddr, long_name_, len(long_name_))
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        CALL cxios_get_scalargroup_name(scalargroup_hdl%daddr, name_, len(name_))
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        CALL cxios_get_scalargroup_scalar_ref(scalargroup_hdl%daddr, scalar_ref_, len(scalar_ref_))
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        CALL cxios_get_scalargroup_standard_name(scalargroup_hdl%daddr, standard_name_, len(standard_name_))
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        CALL cxios_get_scalargroup_unit(scalargroup_hdl%daddr, unit_, len(unit_))
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        CALL cxios_get_scalargroup_value(scalargroup_hdl%daddr, value_)
+      ENDIF
+
+  END SUBROUTINE xios(get_scalargroup_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_scalargroup_attr)  &
+    ( scalargroup_id, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup))  :: scalargroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::scalargroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
+      LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+
+      CALL xios(get_scalargroup_handle)(scalargroup_id,scalargroup_hdl)
+      CALL xios(is_defined_scalargroup_attr_hdl_)   &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(is_defined_scalargroup_attr)
+
+  SUBROUTINE xios(is_defined_scalargroup_attr_hdl)  &
+    ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref
+      LOGICAL(KIND=C_BOOL) :: scalar_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+
+      CALL xios(is_defined_scalargroup_attr_hdl_)  &
+      ( scalargroup_hdl, group_ref, long_name, name, scalar_ref, standard_name, unit, value )
+
+  END SUBROUTINE xios(is_defined_scalargroup_attr_hdl)
+
+  SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)   &
+    ( scalargroup_hdl, group_ref_, long_name_, name_, scalar_ref_, standard_name_, unit_, value_  &
+     )
+
+    IMPLICIT NONE
+      TYPE(txios(scalargroup)) , INTENT(IN) :: scalargroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
+      LOGICAL(KIND=C_BOOL) :: long_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: scalar_ref_
+      LOGICAL(KIND=C_BOOL) :: scalar_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
+      LOGICAL(KIND=C_BOOL) :: unit__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value_
+      LOGICAL(KIND=C_BOOL) :: value__tmp
+
+      IF (PRESENT(group_ref_)) THEN
+        group_ref__tmp = cxios_is_defined_scalargroup_group_ref(scalargroup_hdl%daddr)
+        group_ref_ = group_ref__tmp
+      ENDIF
+
+      IF (PRESENT(long_name_)) THEN
+        long_name__tmp = cxios_is_defined_scalargroup_long_name(scalargroup_hdl%daddr)
+        long_name_ = long_name__tmp
+      ENDIF
+
+      IF (PRESENT(name_)) THEN
+        name__tmp = cxios_is_defined_scalargroup_name(scalargroup_hdl%daddr)
+        name_ = name__tmp
+      ENDIF
+
+      IF (PRESENT(scalar_ref_)) THEN
+        scalar_ref__tmp = cxios_is_defined_scalargroup_scalar_ref(scalargroup_hdl%daddr)
+        scalar_ref_ = scalar_ref__tmp
+      ENDIF
+
+      IF (PRESENT(standard_name_)) THEN
+        standard_name__tmp = cxios_is_defined_scalargroup_standard_name(scalargroup_hdl%daddr)
+        standard_name_ = standard_name__tmp
+      ENDIF
+
+      IF (PRESENT(unit_)) THEN
+        unit__tmp = cxios_is_defined_scalargroup_unit(scalargroup_hdl%daddr)
+        unit_ = unit__tmp
+      ENDIF
+
+      IF (PRESENT(value_)) THEN
+        value__tmp = cxios_is_defined_scalargroup_value(scalargroup_hdl%daddr)
+        value_ = value__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)
+
+END MODULE iscalargroup_attr
Index: XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90	(revision 891)
@@ -0,0 +1,34 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE reduce_axis_to_scalar_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_set_reduce_axis_to_scalar_operation
+
+    SUBROUTINE cxios_get_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl, operation, operation_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: operation
+      INTEGER  (kind = C_INT)     , VALUE        :: operation_size
+    END SUBROUTINE cxios_get_reduce_axis_to_scalar_operation
+
+    FUNCTION cxios_is_defined_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_axis_to_scalar_operation
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+    END FUNCTION cxios_is_defined_reduce_axis_to_scalar_operation
+
+  END INTERFACE
+
+END MODULE reduce_axis_to_scalar_interface_attr
Index: XIOS/trunk/src/interface/fortran_attr/scalar_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 891)
@@ -0,0 +1,137 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "../fortran/xios_fortran_prefix.hpp"
+
+MODULE scalar_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+
+  INTERFACE
+    ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_scalar_long_name(scalar_hdl, long_name, long_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: long_name
+      INTEGER  (kind = C_INT)     , VALUE        :: long_name_size
+    END SUBROUTINE cxios_set_scalar_long_name
+
+    SUBROUTINE cxios_get_scalar_long_name(scalar_hdl, long_name, long_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: long_name
+      INTEGER  (kind = C_INT)     , VALUE        :: long_name_size
+    END SUBROUTINE cxios_get_scalar_long_name
+
+    FUNCTION cxios_is_defined_scalar_long_name(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_long_name
+
+
+    SUBROUTINE cxios_set_scalar_name(scalar_hdl, name, name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
+      INTEGER  (kind = C_INT)     , VALUE        :: name_size
+    END SUBROUTINE cxios_set_scalar_name
+
+    SUBROUTINE cxios_get_scalar_name(scalar_hdl, name, name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
+      INTEGER  (kind = C_INT)     , VALUE        :: name_size
+    END SUBROUTINE cxios_get_scalar_name
+
+    FUNCTION cxios_is_defined_scalar_name(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_name
+
+
+    SUBROUTINE cxios_set_scalar_scalar_ref(scalar_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_set_scalar_scalar_ref
+
+    SUBROUTINE cxios_get_scalar_scalar_ref(scalar_hdl, scalar_ref, scalar_ref_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: scalar_ref
+      INTEGER  (kind = C_INT)     , VALUE        :: scalar_ref_size
+    END SUBROUTINE cxios_get_scalar_scalar_ref
+
+    FUNCTION cxios_is_defined_scalar_scalar_ref(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_scalar_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_scalar_ref
+
+
+    SUBROUTINE cxios_set_scalar_standard_name(scalar_hdl, standard_name, standard_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: standard_name
+      INTEGER  (kind = C_INT)     , VALUE        :: standard_name_size
+    END SUBROUTINE cxios_set_scalar_standard_name
+
+    SUBROUTINE cxios_get_scalar_standard_name(scalar_hdl, standard_name, standard_name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: standard_name
+      INTEGER  (kind = C_INT)     , VALUE        :: standard_name_size
+    END SUBROUTINE cxios_get_scalar_standard_name
+
+    FUNCTION cxios_is_defined_scalar_standard_name(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_standard_name
+
+
+    SUBROUTINE cxios_set_scalar_unit(scalar_hdl, unit, unit_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: unit
+      INTEGER  (kind = C_INT)     , VALUE        :: unit_size
+    END SUBROUTINE cxios_set_scalar_unit
+
+    SUBROUTINE cxios_get_scalar_unit(scalar_hdl, unit, unit_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: unit
+      INTEGER  (kind = C_INT)     , VALUE        :: unit_size
+    END SUBROUTINE cxios_get_scalar_unit
+
+    FUNCTION cxios_is_defined_scalar_unit(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_unit
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_unit
+
+
+    SUBROUTINE cxios_set_scalar_value(scalar_hdl, value) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: value
+    END SUBROUTINE cxios_set_scalar_value
+
+    SUBROUTINE cxios_get_scalar_value(scalar_hdl, value) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      REAL (KIND=C_DOUBLE)             :: value
+    END SUBROUTINE cxios_get_scalar_value
+
+    FUNCTION cxios_is_defined_scalar_value(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_value
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_value
+
+  END INTERFACE
+
+END MODULE scalar_interface_attr
